## org.apache.cassandra.dht
Interface RangeStreamer.ISourceFilter

All Known Implementing Classes:
  RangeStreamer.FailureDetectorSourceFilter, RangeStreamer.SingleDatacenterFilter

Enclosing class:
  RangeStreamer

    public static interface RangeStreamer.ISourceFilter

A filter applied to sources to stream from when constructing a fetch map.

Method Summary
`boolean` `shouldInclude(java.net.InetAddress endpoint)`

Method Detail

### shouldInclude

    boolean shouldInclude(java.net.InetAddress endpoint)

Copyright © 2013 The Apache Software Foundation